## org.apache.poi.ss.formula.ptg
Interface AreaI

All Known Implementing Classes:
  Area2DPtgBase, Area3DPtg, AreaI.OffsetArea, AreaNPtg, AreaPtg, AreaPtgBase

    public interface AreaI

Common interface for AreaPtg and Area3DPtg, and their child classes.

Nested Class Summary
`static class` `AreaI.OffsetArea`

Method Summary
`int` `getFirstColumn()`
`int` `getFirstRow()`
`int` `getLastColumn()`
`int` `getLastRow()`

Method Detail

### getFirstRow

    int getFirstRow()

  Returns:
    the first row in the area

### getLastRow

    int getLastRow()

  Returns:
    last row in the range (x2 in x1,y1-x2,y2)

### getFirstColumn

    int getFirstColumn()

  Returns:
    the first column number in the area.

### getLastColumn

    int getLastColumn()

  Returns:
    lastcolumn in the area

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.